Difference between revisions of "Draft WireToBSpline/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{GuiCommand/fr|Name=Draft_WireToBSpline|Name/fr=Draft_WireToBSpline|Workbenches=Draft, Arch|MenuLocation=Drafting → Wire to BSpline}}")
(Created page with "L'outil {{KEY|16px|text-top=Wire en Bspline|link=Draft WireToBSpline/fr Wire en Bspline}}, converti un {{KEY|[[Ima...")
Line 3: Line 3:
 
==Description==
 
==Description==
  
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
+
L'outil {{KEY|[[Image:Draft WireToBSpline.png|16px|text-top=Wire en Bspline|link=Draft WireToBSpline/fr]] [[Draft WireToBSpline/fr|Wire en Bspline]]}}, converti un {{KEY|[[Image:Draft_Wire.png|16px|text-top=Ligne à points multiples|link=Draft_Wire/fr]] [[Draft_Wire/fr|Wire]]}} en {{KEY|[[Image:Draft_BSpline.png|16px|text-top=Courbe B-Spline (Bézier)|link=Draft_BSpline/fr]] [[ Draft_BSpline/fr|B-Spline]]}}, et vice-versa.
  
 
[[Image:Draft Wire2BSpline example.jpg|400px]]
 
[[Image:Draft Wire2BSpline example.jpg|400px]]

Revision as of 15:55, 14 February 2014

Draft WireToBSpline.svg Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil text-top=Wire en Bspline Wire en Bspline, converti un text-top=Ligne à points multiples Wire en text-top=Courbe B-Spline (Bézier) B-Spline, et vice-versa.

Draft Wire2BSpline example.jpg

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline.png Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский